For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

Samples Inst Pb on Solaris 2.6

Anonymous's picture
Forums: 

Hi everyone ,

When installing SunOSSamples for SUNOS 5.6 Solaris 2.6 on ULTRA1 I've got stuck after many patchings required durind setup (libCrun.so.1, libthread.so.1 and preqs..) with the message : Unable to extract this archive. java.lang.UnsatisfiedLinkError: /usr/j2se/jre/lib/sparc/libfontmanager.so: ld.so.1: /usr/j2se/jre/bin/../bin/sparc/native_threads/java: fatal : libXm.so.4 : echec de l'ouverture : Ce fichier ou ce repertoire n'existe pas.

In other words libXm.so.4 is missing ( No such file or directory ) Then I went to sunsolve.com to get some information about libXm.so.4, Surprisingly I red that libXm.so.4 is only designed for Solaris 7 & 8 ; when you state in your Web Page that OpenCascade runs on Sun platforms with Solaris 2.6

Did I do anything wrong?

Thank you in advance.

Mohamed Kalai : mohamed.kalai@wanadoo.fr

Mohamed KALAI's picture

Actually I used the package JAVA2 SDK 1.3 instead of 1.2.2. Running pkgrm on SDK 1.3 and pkgadd 1.2.2 solve the prob of libXm.so.4.

Regards

M. KALAI